Bug 16950 - Serials subscriptions advanced search shows '0 found' pre-search
Summary: Serials subscriptions advanced search shows '0 found' pre-search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-20 23:39 UTC by Aleisha Amohia
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16950: Serials subscriptions advanced search shows '0 found' pre-search (1.56 KB, patch)
2016-07-20 23:42 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16950: Serials subscriptions advanced search shows '0 found' pre-search (1.60 KB, patch)
2016-07-21 09:02 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16950: Serials subscriptions advanced search shows '0 found' pre-search (1.67 KB, patch)
2016-07-25 15:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-07-20 23:39:19 UTC
To reproduce:
1) Go to Serials
2) Click Advanced Search in the toolbar at the top
3) Notice heading says Serials subscriptions (0 found) before a search has even happened
Comment 1 Aleisha Amohia 2016-07-20 23:42:45 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-21 09:02:23 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-25 15:43:23 UTC
Created attachment 53694 [details] [review]
Bug 16950: Serials subscriptions advanced search shows '0 found' pre-search

To test:
1) Go to Serials
2) Click Advanced Search in the toolbar at the top
3) Notice heading says Serials subscriptions (0 found) before a search has even happened
4) Apply patch and click Advanced Search again
5) Heading should now say Serials subscriptions search
6) Submit search
7) Heading should say how many subscriptions your search found (like before)

Sponsored-by: Catalyst IT

Signed-off-by: Marc <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 14:19:25 UTC
Pushed to master for 16.11, thanks Aleisha!
Comment 5 Frédéric Demians 2016-09-13 07:12:40 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 08:47:28 UTC
Pushed to 3.22.x, will be in 3.22.11